chiark / gitweb /
siphash24: introduce state struct
[elogind.git] / autogen.sh
index 869632abb09886ffda98827e0ca89a94c66e9827..8a88a34475810e206c919aacabe44fbe5ceb72d0 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 
 #  This file is part of systemd.
 #
 #  You should have received a copy of the GNU Lesser General Public License
 #  along with systemd; If not, see <http://www.gnu.org/licenses/>.
 
-if [ -f .git/hooks/pre-commit.sample -a ! -f .git/hooks/pre-commit ] ; then
-    cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \
-    chmod +x .git/hooks/pre-commit && \
-    echo "Activated pre-commit hook."
-fi
+set -e
 
-GTKDOCIZE=`which gtkdocize`
-if test -z $GTKDOCIZE; then
-    echo "You don't have gtk-doc installed, and thus"
-    echo "won't be able to generate the documentation."
-    NOGTKDOC=1
-    echo 'EXTRA_DIST =' > gtk-doc.make
-fi
+oldpwd=$(pwd)
+topdir=$(dirname $0)
+cd $topdir
 
-if test -z "$NOGTKDOC"; then
-    gtkdocize || exit $?
-fi
+# We do not need this, we are not systemd upstream!
+#if [ -f .git/hooks/pre-commit.sample ] && [ ! -f .git/hooks/pre-commit ]; then
+#        # This part is allowed to fail
+#        cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \
+#        chmod +x .git/hooks/pre-commit && \
+#        echo "Activated pre-commit hook." || :
+#fi
 intltoolize --force --automake
 autoreconf --force --install --symlink
 
-libdir() {
-    echo $(cd $1/$(gcc -print-multi-os-directory); pwd)
-}
-
-args="\
---sysconfdir=/etc \
---localstatedir=/var \
---libdir=$(libdir /usr/lib) \
---libexecdir=/usr/lib \
---enable-gtk-doc"
-
-if [ ! -L /bin ]; then
-args="$args \
---with-rootprefix= \
---with-rootlibdir=$(libdir /lib) \
-"
-fi
-
-if [ "x$1" != "xc" ]; then
-    echo
-    echo "----------------------------------------------------------------"
-    echo "Initialized build system. For a common configuration please run:"
-    echo "----------------------------------------------------------------"
-    echo
-    echo "./configure CFLAGS='-g -O0' $args"
-    echo
-else
-    echo ./configure CFLAGS='-g -O0' $args
-    ./configure CFLAGS='-g -O0' $args
-    make clean
-fi
+cd $oldpwd